Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSPathsArePostscript

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSMovieObject
              com.flagstone.transform.FSPathsArePostscript

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSPathsArePostscript

extends FSMovieObject

The FSPathsArePostscript class is used to notify the Flash Player that the glyphs encoded in a font definition were derived from a PostScript-based font definition.

The PathsArePostscript is not documented in the current Macromedia Flash (SWF) File Format Specification. IT was referenced in earlier editions but its exact function was not known. It is thought that is used to signal to the Flash Player that the paths describing the outlines of the glyphs in a font were derived from a font defined using Postscript. The information can be used to provide better rendering of the glyphs.

It does not affect the paths defined in FSCurve objects which describe quadratic Bezier curves. It is included in the package for completeness.

Attributes
type | Identifies the data structure when it is encoded. Read-only.

# History

The FSPathsArePostscript class represents the PathsArePostscript tag from the Macromedia Flash (SWF) File Format Specification. It is not documented in later editions of the specification. It is not known when this tag was added.

Field Summary

Fields inherited from class com.flagstone.transform.FSMovieObject
`ButtonColorTransform, ButtonSound, DefineBitsPtr, DefineButton, DefineButton2, DefineFont, DefineFont2, DefineImage, DefineImage2, DefineJPEGImage, DefineJPEGImage2, DefineJPEGImage3, DefineMorphShape, DefineMovieClip, DefineShape, DefineShape2, DefineShape3, DefineSound, DefineText, DefineText2, DefineTextField, DefineVideo, DoAction, EnableDebugger, EnableDebugger2, Export, extendLength, FontInfo, FontInfo2, FrameLabel, Free, Import, Initialize, JPEGTables, length, LimitScript, PathsArePostscript, PlaceObject, PlaceObject2, Protect, QuicktimeMovie, RemoveObject, RemoveObject2, SerialNumber, SetBackgroundColor, ShowFrame, SoundStreamBlock, SoundStreamHead, SoundStreamHead2, StartSound, TabOrder, type, VideoFrame`

Constructor Summary
`FSPathsArePostscript()` Constructs an FSPathsArePostscript object.
`FSPathsArePostscript(FSCoder coder)` Construct an FSPathsArePostscript object, initalizing it with values decoded from an encoded object.
`FSPathsArePostscript(FSPathsArePostscript obj)` Constructs an FSPathsArePostscript object by copying values from an existing object.

Method Summary
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`static FSPathsArePostscript` | `getInstance()` Returns a canonical FSPathsArePostscript object.
`int` | `length(FSCoder coder)`

Methods inherited from class com.flagstone.transform.FSMovieObject
`equals, getType`

Methods inherited from class com.flagstone.transform.FSTransformObject
`clone, name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSPathsArePostscript

    public FSPathsArePostscript(FSCoder coder)

  Construct an FSPathsArePostscript object, initalizing it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSPathsArePostscript

    public FSPathsArePostscript()

  Constructs an FSPathsArePostscript object.

### FSPathsArePostscript

    public FSPathsArePostscript(FSPathsArePostscript obj)

  Constructs an FSPathsArePostscript object by copying values from an existing object.

  Parameters:
    `obj` - an FSPathsArePostscript object.

Method Detail

### getInstance

    public static FSPathsArePostscript getInstance()

  Returns a canonical FSPathsArePostscript object.

  Returns:
    an object that can safely be shared among objects.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Overrides:
    `appendDescription` in class `FSMovieObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Overrides:
    `length` in class `FSMovieObject`

### encode

    public void encode(FSCoder coder)

  Overrides:
    `encode` in class `FSMovieObject`

### decode

    public void decode(FSCoder coder)

  Overrides:
    `decode` in class `FSMovieObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD